Bug 663849 - copyFile failures not trapped in livecd-iso-to-disk
Summary: copyFile failures not trapped in livecd-iso-to-disk
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 19
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 663847 663848 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-17 03:15 UTC by Frederick Grose
Modified: 2015-02-18 11:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:21:00 UTC


Attachments (Terms of Use)
Detect copyFile() errors & keep exitclean() inprocess (1.49 KB, patch)
2010-12-17 03:16 UTC, Frederick Grose
no flags Details | Diff
Detect copyFile() errors & keep exitclean() inprocess (1.40 KB, patch)
2010-12-18 07:39 UTC, Frederick Grose
no flags Details | Diff

Description Frederick Grose 2010-12-17 03:15:46 UTC
The new strace-based copyFile function cp_p() uses a pipeline, so errors can go undetected.  Using set -o pipefail seems to fix this.

A separate problem occurs when an error triggers the || clause that uses a subshell to group two commands.  An inline command group seems to fix this.

Patch attached.

Steps to Reproduce:
1. Force an error in the copyFile function by renaming the source file or provide insufficient space for the copy.
2. Force the use of the cp_p() function by commenting out the gvfs-copy if-block.
3. Execute livecd-iso-to-disk.

  
Actual results:

Notice that the error does not get trapped and cause the main script to exit.

Comment 1 Frederick Grose 2010-12-17 03:16:22 UTC
Created attachment 469267 [details]
Detect copyFile() errors & keep exitclean() inprocess

Comment 2 Frederick Grose 2010-12-17 03:25:40 UTC
*** Bug 663848 has been marked as a duplicate of this bug. ***

Comment 3 Frederick Grose 2010-12-17 03:26:26 UTC
*** Bug 663847 has been marked as a duplicate of this bug. ***

Comment 4 Frederick Grose 2010-12-18 07:39:50 UTC
Created attachment 469492 [details]
Detect copyFile() errors & keep exitclean() inprocess

set -o pipefail reverses logic of

if ! syslinux 2>&1 | grep -qe -d; then
   ...

in checkSyslinuxVersion()

so delay setting this option until just before it's needed for image copying.

Comment 5 Fedora Update System 2010-12-23 17:47:27 UTC
livecd-tools-13.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.1-1.fc13

Comment 6 Fedora Update System 2010-12-23 17:51:00 UTC
livecd-tools-14.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-14.1-1.fc14

Comment 7 Fedora Update System 2011-02-19 02:18:34 UTC
livecd-tools-14.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/livecd-tools-14.2-1.fc14

Comment 8 Fedora Update System 2011-02-24 00:45:16 UTC
livecd-tools-13.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.2-1.fc13

Comment 9 Fedora Update System 2011-02-24 06:29:54 UTC
livecd-tools-13.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/livecd-tools-13.2-1.fc13

Comment 10 Fedora Update System 2011-02-24 20:55:20 UTC
livecd-tools-14.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-02 15:30:14 UTC
livecd-tools-13.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.3-1.fc13

Comment 12 Fedora End Of Life 2013-04-03 20:38:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 13 Fedora End Of Life 2015-01-09 22:37:33 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-02-18 11:15:40 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.